">

- NAME
- SYNOPSIS
- DESCRIPTION
- FUNCTIONS

# NAME

Test::Lintian::Hooks -- hook routines for the test runners

# SYNOPSIS

      use Test::Lintian::Hooks qw(sed_hook);
      sed_hook('script.sed', 'input.file');

# DESCRIPTION

Various hook routines for the test runners.

# FUNCTIONS

sed_hook(SCRIPT, SUBJECT, OUTPUT)

  Runs the parser sed on file SUBJECT using the instructions in SCRIPT and places the result in the file OUTPUT.

sort_lines(UNSORTED, SORTED)

  Sorts the file UNSORTED line by line and places the result into the file SORTED.

calibrate(SCRIPT, ACTUAL, EXPECTED, CALIBRATED)

  Executes calibration script SCRIPT with the three arguments EXPECTED, ACTUAL and CALIBRATED, all of which are file paths. Please note that the order of arguments in this function corresponds to the bookkeeping logic of ACTUAL vs EXPECTED. The order for the script is different.

find_missing_prerequisites(TEST_CASE)

  Returns a string with missing dependencies, if applicable, that would be necessary to run the test described by hash DESC.

<<